import { Request, Response, NextFunction } from 'express'
import { validate } from 'super-easy-validator'

function postShare(req: Request, res: Response, next: NextFunction) {
	try {
		const { errors } = validate({reel: 'mongoid'}, req.body)
		if (errors) {
			return res.status(400).json({ message: errors[0] })
		}

		return next()
	} catch (error) {
		console.log(error)
		return res.status(500).json({ message: 'server error' })
	}
}

const validations = {
	postShare
}

export default validations
